from setuptools import setup, find_packages

setup(
    name="wiselib",
    version="0.3.11",
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "setuptools>=70.3.0",
        "Django>=4.0.0",
        "django-prometheus==2.3.1",
        "celery==5.4.0",
        "django-celery-results~=2.5.1",
        "django-celery-beat~=2.5.0",
        "requests",
        "redis~=5.0.4",
        "djangorestframework",
        "urllib3~=2.2.2",
        "pydantic>=2.7.4",
        "kafka-python~=2.0.2",
        "opentelemetry-api>=1.24.0",
        "opentelemetry-sdk>=1.24.0",
        "opentelemetry-exporter-otlp-proto-common>=1.24.0",
        "opentelemetry-exporter-otlp-proto-http>=1.24.0",
        "boto3>=1.34.133",
        "sentry-sdk>=1.45.1",
        "pydantic-settings",
        "deprecated",
    ],
    author="Wise Man",
    author_email="your.email@example.com",
    description="WISE Library",
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/wiselib",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
